org.apache.sysds.runtime.instructions.spark

## Class RandSPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.spark.SPInstruction
    - - org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction
      - - org.apache.sysds.runtime.instructions.spark.UnarySPInstruction
        - - org.apache.sysds.runtime.instructions.spark.RandSPInstruction

All Implemented Interfaces:
  LineageTraceable

    public class RandSPInstruction
    extends UnarySPInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

`SPInstruction.SPType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getBlocksize()`
`long` `getCols()`
`String` `getDims()`
`org.apache.commons.lang3.tuple.Pair<String,LineageItem>` `getLineageItem(ExecutionContext ec)` Obtain lineage trace of an instruction with a single output.
`double` `getMaxValue()`
`double` `getMinValue()`
`String` `getPdf()`
`String` `getPdfParams()`
`long` `getRows()`
`long` `getSeed()`
`double` `getSparsity()`
`static RandSPInstruction` `parseInstruction(String str)`
`void` `processInstruction(ExecutionContext ec)` This method should be used to execute the instruction.

### Methods inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

`getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

`getGraphString, getSPInstructionType, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Method Detail

#### getRows

    public long getRows()

#### getCols

    public long getCols()

#### getBlocksize

    public int getBlocksize()

#### getMinValue

    public double getMinValue()

#### getMaxValue

    public double getMaxValue()

#### getSparsity

    public double getSparsity()

#### getSeed

    public long getSeed()

#### getDims

    public String getDims()

#### getPdf

    public String getPdf()

#### getPdfParams

    public String getPdfParams()

#### parseInstruction

    public static RandSPInstruction parseInstruction(String str)

#### processInstruction

    public void processInstruction(ExecutionContext ec)

Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `SPInstruction`
Parameters:
  `ec` - execution context

#### getLineageItem

    public org.apache.commons.lang3.tuple.Pair<String,LineageItem> getLineageItem(ExecutionContext ec)

Description copied from interface: `LineageTraceable`
Obtain lineage trace of an instruction with a single output.

Specified by:
  `getLineageItem` in interface `LineageTraceable`
Overrides:
  `getLineageItem` in class `ComputationSPInstruction`
Parameters:
  `ec` - execution context w/ live variables
Returns:
  pair of (output variable name, output lineage item)